#include "power_supply.h"

//-------------------------------------------------------------
//------------------ADC interrupt complete vector--------------
ISR(ADC_vect){
	
	//Update adc_value from ADC register
	Adc_value = ADCW; 
	
	if(Adc_value < 20){
   	target_pwm++;
	}
	else{
		target_pwm--;
	}
	
	if(target_pwm>1023){
  		target_pwm=1023;
	}
	
	//Set new PWM value
	SetPwm(target_pwm);
}
//-------------------------------------------------------------
//---------------------main Program Begin----------------------
int main(void){

	//Init ADC converter    
	AdcInit();

	//Start PWM with init value 1023
   PwmStart(1023);
	
	//Enable Global Interrupts
	sei();
	
	//Init LCD
	LcdInit();
	
	//Forever Loop
   while(1){  
		
		//delay for LCD refresh      
		_delay_ms(50);
		
		//refresh LCD
		LcdRefresh();        
    }
}
//-------------------------------------------------------------

 
 
 
 
 
 
        
       

      
  
